<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:strip-space elements="*"/>
	<xsl:output method="html" indent="yes" encoding="utf-8"/>

	<xsl:template match="TERMS-OF-SERVICE">
		<fieldset>
			<legend><xsl:value-of select="@TITLE"/></legend>
			<div class="fieldset-block">
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<tr>
						<td class="title-block">
							<xsl:apply-templates select="CONTROL[@NAME='termsOfServiceCaption']" mode="label"/>
						</td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='termsOfServiceCaption']" mode="control">
								<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>						
							</xsl:apply-templates>
						</td>
					</tr>
				</table>
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<tr>
						<td class="title-block">
							<xsl:call-template name="LABEL" mode="label">
								<xsl:with-param name="title" select="WYSIWYG[@NAME='termsOfServiceText']/@TITLE"></xsl:with-param>
							</xsl:call-template>
							<div style="width: 200px; height: 0;"><span></span></div>
						</td>
						<td class="input-block" style="width: 100%;">
							<xsl:apply-templates select="WYSIWYG[@NAME='termsOfServiceText']"/>
						</td>
					</tr>
				</table>
				<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
					<tr>
						<td class="title-block">
							<xsl:apply-templates select="CONTROL[@NAME='termsOfServiceAcceptanceLabel']" mode="label"/>
						</td>
						<td class="input-block">
							<xsl:apply-templates select="CONTROL[@NAME='termsOfServiceAcceptanceLabel']" mode="control">
								<xsl:with-param name="onchange">self.sbApplyChangesObject.registerChange();</xsl:with-param>						
							</xsl:apply-templates>
						</td>
					</tr>
				</table>
			</div>
		</fieldset>
	</xsl:template>
</xsl:stylesheet>